Subject: Re: [PATCH net-next 1/6] selftests: qdiscs: Add TDC test for RED

From: Roman Mashak <[email-masked]>
Date: Tue, 10 Mar 2020 13:28:22 -0400

Petr Machata <[email-masked]> writes:

> Roman Mashak <[email-masked]> writes:
>
>> Ido Schimmel <[email-masked]> writes:
>>
>>> From: Petr Machata <[email-masked]>
>>>
>>> Add a handful of tests for creating RED with different flags.
>>>
>>
>> Thanks for adding new tests in TDC.
>>
>> Could you give more descriptive names for tests? (Look at
>> tc-tests/qdiscs/fifo.json or tc-tests/qdiscs/ets.json as examples)
>
> Yep.
>
>> Did you try running this with nsPlugin enabled? I think you would need
>> to add the following for every test:
>
> Is there a flag that I need to use to enable nsPlugin? I put in the the
> "plugins" stanza that you cite below and didn't observe any changes.
> That either means that it works or that it has no effect :)

Look at plugin-lib/README-PLUGINS how to enable the plugin.